package com.miaxis.wx.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信永久二维码口令对象 wx_forever_code
 *
 * @author miaxis
 * @date 2022-01-17
 */
@Data
@TableName("wx_forever_code")
@ApiModel(value = "WxForeverCode", description = "微信永久二维码口令对象 wx_forever_code")
public class WxForeverCode extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户唯一标识(微信) */
    @Excel(name = "用户唯一标识(微信)")
    @TableField("openid")
    @ApiModelProperty(value = "用户唯一标识(微信)")
    private String openid;

    /** 6位口令 */
    @Excel(name = "6位口令")
    @TableField("code")
    @ApiModelProperty(value = "6位口令")
    private String code;

    /** 微信昵称 */
    @Excel(name = "微信昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "微信昵称")
    private String nickName;


    @TableField("url")
    @ApiModelProperty(value = "url")
    private String url;

    /** 状态  1：有效(默认) 0：失效  */
    @Excel(name = "状态  1：有效(默认) 0：失效 ")
    @TableField("status")
    @ApiModelProperty(value = "状态  1：有效(默认) 0：失效 ")
    private Integer status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setCode(String code){
        this.code = code;
    }

    public String getCode(){
        return code;
    }
    public void setNickName(String nickName){
        this.nickName = nickName;
    }

    public String getNickName(){
        return nickName;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("openid", getOpenid())
            .append("code", getCode())
            .append("nickName", getNickName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
